
timeouts:
  job:
    minutes: 45
  action:
    minutes: 10
  connection:
    minutes: 2

context:
  test_character_delay: 10



device_type: x86
job_name: hack-test
priority: 25
visibility: public

metadata:

  
  git branch: master
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
  git commit: 442b8cea2477fa95c22f28ca982addb5bc6b0845
  git describe: next-20181109
  make_kernelversion: 4.20.0-rc1
  kernel-config: http://snapshots.linaro.org/openembedded/lkft/rocko/intel-corei7-64/rpb/linux-next/389/config
  kernel-defconfig: http://snapshots.linaro.org/openembedded/lkft/rocko/intel-corei7-64/rpb/linux-next/389/defconfig
  build-url: https://ci.linaro.org/job/openembedded-lkft-linux-next/DISTRO=rpb,MACHINE=intel-corei7-64,label=docker-stretch-amd64/389/
  build-location: http://snapshots.linaro.org/openembedded/lkft/rocko/intel-corei7-64/rpb/linux-next/389
  toolchain: x86_64-linaro-linux linaro-7.%
  series: lkft
  email-notification: ''

  kselftest__url: git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
  kselftest__version: 4.19+gitAUTOINC+442b8cea24
  kselftest__revision: 442b8cea2477fa95c22f28ca982addb5bc6b0845





actions:



- deploy:
    namespace: target
    timeout:
      minutes: 15
    to: tftp
    kernel:
      url: http://snapshots.linaro.org/openembedded/lkft/rocko/intel-corei7-64/rpb/linux-next/389/bzImage--4.19+git0+442b8cea24-r0-intel-corei7-64-20181109031112-389.bin
    nfsrootfs:
      url: http://snapshots.linaro.org/openembedded/lkft/rocko/intel-corei7-64/rpb/linux-next/389/rpb-console-image-lkft-intel-corei7-64-20181109031112-389.rootfs.tar.xz
      compression: xz
    os: oe



- boot:
    namespace: target
    timeout:
      minutes: 10
    method: ipxe
    commands: nfs
    parameters:
      shutdown-message: 'reboot: Restarting system'
    auto_login:
      login_prompt: 'login:'
      username: root
      login_commands:
      - su
    prompts:
    - 'root@intel-core2-32:'
    - 'root@intel-corei7-64:'


- test:
    namespace: target
    timeout:
      minutes: 60
    definitions:

    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Mount local disk for tmp space
        run:
          steps:
          - df -h
          - mount
          - ls /dev/disk/by-id/ -l
          - export TMPDISK=$(ls /dev/disk/by-id/ata-TOSHIBA_MG03ACA100_*)
          - echo "y" | mkfs -t ext4 ${TMPDISK}
          - mkdir -p /ltp-tmp
          - mount ${TMPDISK} /ltp-tmp || lava-test-raise "mount failed job exit"
          - df -h
          - mount
          - udhcpc
          - netstat
          - ip a
          - ifconfig
      name: prep-tmp-disk
      path: inline/prep.yaml

    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: timesync-off
          description: Disable systemd time sync services
        run:
          steps:
          - systemctl stop systemd-timesyncd || true
      name: timesync-off
      path: inline/timesync-off.yaml

     - repository: https://git.linaro.org/lava-team/hacking-session.git
       from: git
       path: hacking-session-oe.yaml
       name: hacking
       params:
          "PUB_KEY": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCzhv4Ft7BoJNWPrXw0VCvFmy1KbmRAjAy9f5solaftYk9OUEXbnO/OIRxoSO+kyMQXuVjb9mnQkqt6lDGIr31dvjWtyY3Wp1g+jIBJZ3iWHNB3qWfNxbL065kqsZ8uxpzvUO9RyvZAl9c//DqUQWxK0Z2Uy40KwcCmXOss3ZA4nYOfuV2XGpWLH6E48ht72lQedDU3AVrqi0nsTTYJh+PoPZGnGR2NAM7LCyGIpvUcporKkOtH1e8cgB57KwHPAhgbEm+ZW7YcqBBUaoX4cmhfGgmt2hyVQraSYNFtx4bRxyyff8MP55TZJyEjloTma33OW+FVYqLJ/YG8a4/KnWEN paolo@MacBook-Pro-di-Paolo.local"
